Coding agents are everywhere. See what yours are doing →
Reference
cURL
curl --request POST \ --url https://api.osohq.com/api/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "fact": { "predicate": "<string>", "args": [ { "type": "<string>", "id": "<string>" } ] } } '
{ "results": [ { "predicate": "<string>", "args": [ { "type": "<string>", "id": "<string>" } ] } ] }
Query v1: query for any predicate and any combination of concrete and wildcard arguments.
Unlike GET /facts, which only lists facts you’ve added to Oso Cloud, you can use POST /query to list derived information about any rule in your policy.
GET /facts
POST /query
Requires an API key to access.
A pattern object for matching authorization-relevant data, ie: facts.
Show child attributes
Was this page helpful?